@charset "UTF-8";
/*
    Template: swell
    Theme Name: SWELL CHILD
    Theme URI: https://swell-theme.com/
    Description: SWELLの子テーマ
    Version: 1.0.0
    Author: LOOS WEB STUDIO
    Author URI: https://loos-web-studio.com/

    License: GNU General Public License
    License URI: http://www.gnu.org/licenses/gpl.html
*/

/* ===============================
   ボタン本体
================================= */
.-menuBtn .c-iconBtn__icon {
  position: relative;
  margin-top: 30px;
  width: 40px;
  height: 40px;
  background-color: rgba(255, 255, 255, 0.8);
}

/* ===============================
   線 共通
================================= */
.-menuBtn .c-iconBtn__icon::before,
.-menuBtn .c-iconBtn__icon::after {
  position: absolute;
  content: '';
  left: 8px;
  width: 24px;
  height: 1.5px;
  background-color: #af9f7e;
  transform-origin: center;
  transition: transform 0.35s cubic-bezier(.4,.0,.2,1);
}

/* ===============================
   閉じているとき（☰）
================================= */
[data-spmenu="closed"] .-menuBtn .c-iconBtn__icon::before {
  top: 15px;
  transform: rotate(0deg);
}

[data-spmenu="closed"] .-menuBtn .c-iconBtn__icon::after {
  top: 25px;
  transform: rotate(0deg);
}

/* ===============================
   開いているとき（☰）
================================= */

[data-spmenu="opened"] .-menuBtn .c-iconBtn__icon::before {
  top: 15px;
  transform: translateY(5px) rotate(45deg);
}

[data-spmenu="opened"] .-menuBtn .c-iconBtn__icon::after {
  top: 25px;
  transform: translateY(-5px) rotate(-45deg);
}




/* ラベル文字 */
[data-spmenu="closed"] .c-iconBtn__label {
  margin: 8px 8px 0 0;
  font-size: 1.0rem;
}

/* クリック時のスマホ開閉メニューの動きをドロワーからフェードに変更 */
.-right .p-spMenu__inner {
  transform: translateX(0);
  opacity: 0;
  transition: opacity 0.45s;
}

[data-spmenu="opened"] .p-spMenu__inner {
  transform: translateX(0);
  opacity: 1;
}

/*MVのキャッチコピー*/
.catchcopy1{
	color: #fff;
	opacity: .9;
}

/*ボタン*/
.button-23 a {
  font-family: 'Noto Serif JP', serif;
  font-size: 14px;
  letter-spacing: 0.1em;
  color: #af9f7e;
  font-weight: 400;
  border: 1px solid #af9f7e;
  display: block;
  position: relative;
  box-sizing: border-box;
  max-width: 300px;
  text-align: center; 
  padding: 16px 64px;
  margin: 24px;
  margin-inline: auto;
  text-decoration: none;
  cursor: pointer;
  z-index:999;
  transition: all 0.3s;
}

.button-23 a::after {
  content: "";
  position: absolute;
  top: 50%;
  right: -30px;
  width: 60px;
  height: 1px;
  background: #af9f7e;
  transition: all 0.3s ease;
}

.button-23 a:hover::after {
  animation: OutIn-Line 700ms;
  transition: all 0.3s;
}

@keyframes OutIn-Line {
    0% {
        -webkit-transform: scale3d(1,1,1);
        transform: scale3d(1,1,1);
        -webkit-transform-origin: 100% 0;
        transform-origin: 100% 0
    }

    50% {
        -webkit-transform: scale3d(0,1,1);
        transform: scale3d(0,1,1);
        -webkit-transform-origin: 100% 0;
        transform-origin: 100% 0
    }

    50.1% {
        -webkit-transform: scale3d(0,1,1);
        transform: scale3d(0,1,1);
        -webkit-transform-origin: 0 0;
        transform-origin: 0 0
    }

    100% {
        -webkit-transform: scale3d(1,1,1);
        transform: scale3d(1,1,1);
        -webkit-transform-origin: 0 0;
        transform-origin: 0 0
    }
}

/*トップページのコンテンツ上部を0に*/
.top #content {
    padding-top: 0;
}
/*写真に枠をつける*/
.photo-frame {
  position: relative;
  display: inline-block;
}

.photo-frame img {
  display: block;
}

/* 枠 */
.photo-frame::after {
  content: "";
  position: absolute;
  top: 10px;
  left: 10px;
  width: 100%;
  height: 100%;
  border: 1px solid #af9f7e;
  pointer-events: none;
}
